connect
List triggers
List trigger types exposed by a connection.
GET
/
connect
/
{namespace}
/
{connectionId}
/
.triggers
List triggers
curl --request GET \
--url https://api.smithery.ai/connect/{namespace}/{connectionId}/.triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smithery.ai/connect/{namespace}/{connectionId}/.triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smithery.ai/connect/{namespace}/{connectionId}/.triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "page.updated",
"delivery": [
"webhook"
],
"description": "<string>",
"inputSchema": {},
"payloadSchema": {}
}
]{
"error": "not_found",
"message": "Resource not found"
}Authorizations
Smithery API key as Bearer token
Response
Trigger definitions
Trigger name exposed by the MCP server
Example:
"page.updated"
Supported delivery modes
Example:
["webhook"]
JSON Schema for the params required to create the trigger
Show child attributes
Show child attributes
JSON Schema for the event payload delivered by the trigger
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List triggers
